# mirror-server

A simple server for mirroring HTTP requests for testing.

## Getting Started

* Use the latest stable version of Rust using rustup.
* Build: `cargo build`
* Test: `cargo test`
* Run the server: `cargo run -- --port=8080`
* Create a DEB package:
  * Install cargo-deb: `cargo install cargo-deb`
  * Create the DEB package: `cargo deb`

## Install

Download the DEB file, and install it:

```bash
curl https://code.birch-tree.net/api/packages/dorian/generic/mirror-server/0.2.0/mirror-server_0.2.0_amd64.deb && sudo dpkg -i mirror-server-0.2.0_amd64.deb
```
